org.eclipse.oomph.p2.core

## Interface ProfileTransaction.Resolution

- Enclosing interface:
    ProfileTransaction

      public static interface ProfileTransaction.Resolution

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `commit(IProgressMonitor monitor)`
    `ProfileTransaction` | `getProfileTransaction()`
    `IProvisioningPlan` | `getProvisioningPlan()`
    `void` | `rollback()`

- - ### Method Detail

    - #### getProfileTransaction

          ProfileTransaction getProfileTransaction()

    - #### getProvisioningPlan

          IProvisioningPlan getProvisioningPlan()

    - #### commit

          boolean commit(IProgressMonitor monitor)
                         throws CoreException

      Throws:
        `CoreException`

    - #### rollback

          void rollback()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html